Subject: Re: GS RGB internal adjustments
From: [email-masked] (Mitchell Spector)
Date: 13 Apr 1995 21:38 -0500
Newsgroups: comp.sys.apple2

In article [email-masked] (Alexander H Eddy) writes...
> 
>Opening up the case, I find the following pots:

	I've opened three of my AppleColor RGB monitors, two of which I've
performed internal adjustments on with it live (power on). It's certainly
very risky and indeed life threaten if your not careful, so I don't recommend 
opening it with the power on _or_ off if your not experienced or don't have 
lots of patience and a steady hand. 

>V-lin
>H-cent
>V pos1
>V pos2

	I assume these controls are on the neck of the CRT. Most likely
they control Vertical and Horizontal positioning of the light guns, but
this is only a guess.

>Focus

	I've not used this control, but apparently it does just that.
Corrects the screen focus if it's blurred or the image is distorted.
The first two or so lines of my current RGB has a bit of a focus
problem (there's a bit of blue and red fringe on either side of
text characters if you look very closely) but I'm uncertain whether
"FOCUS" would fix this. Most likely you'd want to adjust it if your
entire screen has such a problem.

>Screen

	This is the master brightness control. As screens age, the
screen gets darker eventually forcing you to turn up your brightness
control more and more for an acceptable display. Eventually turning it
all the way up won't help, so you'll need to increase the master 
brightness (I had this with one of my screens). Sometimes the 
brightness will increase slightly with age, so you'll have to 
decrease the master control (I did just that with this screen
I'm typing on now). 

>sub cont

	The master contrast control. Just like brightness, the 
constrast will sometimes decrease with age (I find this condition
rare, but with one of my screens I needed to increase it).

>G cut off
>R cut off
>B cut off

	I'm not 100% sure, but I've been told these control the
point which which the Red/Green/Blue colors become black (0% color).
You may find playing with these help get the proper tint, with two
of my screens I had to adjust either the R-G-B cut offs.

>R drive
>B drive

	These control the voltage of the Red and Blue guns. Turning
these will either increase or decrease the amounts of blue or red in
your picture.

>(no, didn't see a G drive)
>....so, anyone have detailed descriptions of what all these do?

	There is no G-Drive, apparently Green is the standard on
which Red and Blue balance between. You can of course use the
G-cut-off to adjust greens, as I found.

>I assume H cent will fix my particular problem.  Also, I find that my
>"white" is distinctly on the yellow side of white. Logically, increasing
>the percentage of blue in the picture would correct this, but
>should I fiddle with 'B cut off' or 'B drive'??

	To correct colors, what I did was load up a paint program and
brought up a greyscales palette. I then painted horizontal strips,
using darkest to lightest greyscales, so I had a fade. I also made
sure to leave a large area of the screen pure white. I then played
with all the R-G-B pots (including cut offs) until the greys looked
prefectly grey, and the white background was as white as could be.
You'll find all other colors will balance out like this. 

	Don't use a screwdrive, I recommend a "TV alignment tool
kit" (64-2223A) from Radio Shack. It comes with a plastic rod that
fits perfectly into the pots and easy to turn. I paid about $2 Cdn
for it (aprox $1.25 US). You might want to check about precautions,
such as not grounding yourself, using a mirror and keeping one hand
behind back or in your pocket. 

>....I didn't adjust any pots yet, as my girlfriend was present and
>kept telling me to 'close that thing back up or you'll get yourself killed!'

	Sounds famillar, I had just about every friend and familly member
tell me the same thing! ;-) Ah well, I'm still alive and I now have my
monitor(s) more or less the way they should. 

	I think one of my screens still has a problem with a red/pink
tint on one side (as if a magnetic field were present) but I think it
involves some more serious measures that would require a professional.

>any help (particually from people who have done this before) is
>appreciated.
> 
>-arekusu
> 

Mitchell Spector
[email-masked] / [email-masked]